﻿@model Bunge.Salada.ViewModels.RecipeIndexViewModel
@{
    ViewBag.Title = "Receitas | Salada";
    ViewBag.Description = "Experimente nossas receitas de refeições leves, saborosas e saudáveis, para todos os momentos.";
    ViewBag.Keywords = "";
    ViewBag.BodyClass = "receitas";
    var moment = 0;
    int.TryParse(Request.QueryString["momento"],out moment);
    var keyword = Request.QueryString["busca"];
}
<header class="interna transparent">
    <div class="container">
        <div class="row">
            <div class="col-md-5 col-md-offset-1">
                <h2>Receitas</h2>
                <p>
                    Ter uma refeição leve e gostosa <br />
                    é só uma questão de escolha.
                </p>
                <p>
                    Faça receitas com Salada<br />
                    e adicione uma pitada de equilíbrio ao seu dia.
                </p>
                <p>
                    Confira o que preparamos para você.
                </p>
            </div>
        </div>
    </div>
</header>
<section class="lista-receitas" id="lista-receitas">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h3>
                    Que tal preparar uma comidinha gostosa e equilibrada?
                    <span>Encontre uma receita</span>
                </h3>
            </div>
            <div class="col-md-12">
                <form class="form-inline" method="get" action="~/receitas">
                    <div class="filtro">
                        <div class="col-sm-4 col-sm-offset-1 col-md-4 col-md-offset-1 col-lg-3 col-lg-offset-2">
                            <div class="form-group">
                                <label><i class="icon icon-tempeiro"></i></label>
                                <select name="momento" id="momento" class="form-control">
                                    <option value="">Selecione o momento</option>
                                    @foreach (var m in Model.Moments)
                                    {
                                        <option value="@m.Id" @if (moment == m.Id) { <text>selected</text> }>@m.Description</option>
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-5 col-md-5 col-lg-5">
                            <div class="form-group">
                                <div class="input-busca">
                                    @if (keyword != null)
                                    {
                                        <input type="text" id="s" name="busca" class="form-control" placeholder="Buscar receitas" value="@keyword">
                                    }
                                    else
                                    {
                                        <input type="text" id="s" name="busca" class="form-control" placeholder="Buscar receitas">
                                    }
                                    
                                    <button type="submit" class="btn btn-branco">Buscar <i class="icon icon-search"></i></button>
                                </div>
                            </div>
                        </div>
                        <div class="hidden-xs col-sm-2 col-md-2 col-lg-2 ">
                            @if (keyword != null)
                            {
                            <a class="limpar" href="/receitas">Limpar busca</a>
                            }
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="row">

            <div class="infinite-scroll">
            @if (Model.Recipes.Count() > 0)
            {
                for (int i = 0; i < Model.Recipes.Count(); i++)
                {
                    int j = 0;
                    <div class="col-sm-12 col-md-6">
                        @if (i == 0 || i == 9 || (i + 1) % 10 == 0 )
                        {
                            <div class="receita" style="background-image: url(/web/uploads/recipe/@Model.Recipes.ElementAt(i).Image);">
                                <a class="receita-inner" href="~/receita/@Model.Recipes.ElementAt(i).FriendlyUrlName">
                                    <h4>@Model.Recipes.ElementAt(i).Title</h4>
                                    <p>@Model.Recipes.ElementAt(i).Resume</p>
                                    <span class="btn btn-laranja">Experimente <span>essa receita</span></span>
                                </a>
                            </div>
                        }
                        else
                        {
                            <div class="receitas-small">
                                @while (j < 4)
                                {
                                    if(i == 4 || i == 8)
                                    {
                                        i++;
                                    }
                                    if (i + j < Model.Recipes.Count() && i != 9)
                                    {
                                        <div class="receita small" style="background-image: url(/web/uploads/recipe/@Model.Recipes.ElementAt(i+j).Image);">
                                            <a class="receita-inner" href="~/receita/@Model.Recipes.ElementAt(i+j).FriendlyUrlName">
                                                <h4>@Model.Recipes.ElementAt(i + j).Title</h4>
                                                <span class="btn btn-laranja">Experimente</span>
                                            </a>
                                        </div>                                        
                                    }
                                    j++;
                                }
                                @{
                                    if(i+j != 9)
                                    {
                                        i = i + 2;
                                    }
                                    else
                                    {
                                        i = 8;
                                    }

                                }
                            </div>
                        }
                    </div>
                }
                if (Model.RecipesCount > Model.PageSize * Model.PageNumber)
                {
                <div class="col-sm-12 col-md-12 text-center">
                    <a class="btn btn-laranja jscroll-next" data-href="/receitas/getfilteredrecipes?pagenumber=@(Model.PageNumber+1)&pagesize=@Model.PageSize&busca=@keyword&momento=@moment" href="/receitas/@(Model.PageNumber+1)">Carregar mais</a>
                </div>
                }
            }
            else
            {
                <h3>
                    Não encontramos nada por aqui :(     
                    <span>Continue navegando, temos certeza que a receita para encher sua mesa de sabor e leveza está por aqui.</span>                                       
                </h3>
            }
            </div>
        </div>
    </div>
</section>

@section footer{
    @*@if (keyword != null)
    {
        <script>
            $(function () {
                $('html, body').animate({
                    scrollTop: $('#lista-receitas').offset().top
                }, 0);
            });
        </script>
    }*@
}